Bug 142019 - [em] em needs "ifconfig em0 down up" when link was gone
Summary: [em] em needs "ifconfig em0 down up" when link was gone
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 7.2-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: jfv
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2009-12-25 18:30 UTC by Andre.Albsmeier
Modified: 2015-06-30 17:35 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andre.Albsmeier 2009-12-25 18:30:01 UTC
The em0 interface mentioned above is connected to another 100MBit
Ethernet device through a cross cable. Everything works until
this other device is powered down and up again. In this case
one can't talk to this device anymore:

gate:~>ping 192.168.128.66
PING 192.168.128.66 (192.168.128.66): 56 data bytes
ping: sendto: No buffer space available
ping: sendto: No buffer space available
ping: sendto: No buffer space available
...

After running "ifconfig em0 down up" on the FreeBSD box all is
well (pinging and transferring files) until the other device
has been  powered down and up again.

The very same hardware didn't show this problem in 6-STABLE
so I assume something has changed in the em driver.

Fix: 

Unknown, possibly a MFC of the em driver from 8-STABLE
might be enough, see:
 
http://lists.freebsd.org/pipermail/freebsd-stable/2009-November/052887.html
How-To-Repeat: 
See above. I tried with a satellite dish receiver and another
fxp-based machine as the other device.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-12-26 07:41:55 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Andre Oppermann freebsd_committer 2010-08-23 18:40:59 UTC
Responsible Changed
From-To: freebsd-net->jfv

Over to maintainer.
Comment 3 Sean Bruno freebsd_committer 2015-06-30 17:35:39 UTC
I don't see this happen when connected to a 100mbit switch.  Assuming this is closed as fixed.